Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORBInitInfo_var Class Reference

`#include <ORBInitInfo.h>`

Inheritance diagram for TAO_ORBInitInfo_var:

[legend]
Collaboration diagram for TAO_ORBInitInfo_var:

[legend]
List of all members.

## Public Methods
| TAO_ORBInitInfo_var (void)
| TAO_ORBInitInfo_var (TAO_ORBInitInfo_ptr p)
| TAO_ORBInitInfo_var (const TAO_ORBInitInfo_var &)
| ~TAO_ORBInitInfo_var (void)
TAO_ORBInitInfo_var & | operator= (TAO_ORBInitInfo_ptr)
TAO_ORBInitInfo_var & | operator= (const TAO_ORBInitInfo_var &)
TAO_ORBInitInfo_ptr | operator-> (void) const
| operator const TAO_ORBInitInfo_ptr & () const
| operator TAO_ORBInitInfo_ptr & ()
TAO_ORBInitInfo_ptr | in (void) const
TAO_ORBInitInfo_ptr & | inout (void)
TAO_ORBInitInfo_ptr & | out (void)
TAO_ORBInitInfo_ptr | _retn (void)
TAO_ORBInitInfo_ptr | ptr (void) const
## Static Public Methods
TAO_ORBInitInfo_ptr | duplicate (TAO_ORBInitInfo_ptr)
void | release (TAO_ORBInitInfo_ptr)
TAO_ORBInitInfo_ptr | nil (void)
TAO_ORBInitInfo_ptr | narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | upcast (void *)
## Private Methods
| TAO_ORBInitInfo_var (const TAO_Base_var &rhs)
TAO_ORBInitInfo_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
TAO_ORBInitInfo_ptr | ptr_

## Constructor & Destructor Documentation

TAO_ORBInitInfo_var::TAO_ORBInitInfo_var | ( | void |  | ) |

TAO_ORBInitInfo_var::TAO_ORBInitInfo_var | ( | TAO_ORBInitInfo_ptr | p | ) | `[inline]`

TAO_ORBInitInfo_var::TAO_ORBInitInfo_var | ( | const TAO_ORBInitInfo_var & |  | ) |

TAO_ORBInitInfo_var::~TAO_ORBInitInfo_var | ( | void |  | ) |

TAO_ORBInitInfo_var::TAO_ORBInitInfo_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::_retn | ( | void |  | ) |

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::duplicate | ( | TAO_ORBInitInfo_ptr |  | ) | `[static]`

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::in | ( | void |  | ) | const

TAO_ORBInitInfo_ptr& TAO_ORBInitInfo_var::inout | ( | void |  | ) |

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::nil | ( | void |  | ) | `[static]`

TAO_ORBInitInfo_var::operator const TAO_ORBInitInfo_ptr & | ( |  | ) | const

TAO_ORBInitInfo_var::operator TAO_ORBInitInfo_ptr & | ( |  | ) |

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::operator-> | ( | void |  | ) | const

TAO_ORBInitInfo_var& TAO_ORBInitInfo_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

TAO_ORBInitInfo_var& TAO_ORBInitInfo_var::operator= | ( | const TAO_ORBInitInfo_var & |  | ) |

TAO_ORBInitInfo_var & TAO_ORBInitInfo_var::operator= | ( | TAO_ORBInitInfo_ptr | p | ) |

TAO_ORBInitInfo_ptr& TAO_ORBInitInfo_var::out | ( | void |  | ) |

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::ptr | ( | void |  | ) | const

void TAO_ORBInitInfo_var::release | ( | TAO_ORBInitInfo_ptr |  | ) | `[static]`

CORBA::Object* TAO_ORBInitInfo_var::upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

TAO_ORBInitInfo_ptr TAO_ORBInitInfo_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ORBInitInfo.h
- ORBInitInfo.cpp